Bug 1802370 (golang-github-francoispqt-gojay) - Review Request: golang-github-francoispqt-gojay - Fastest JSON encoder/decoder with powerful stream API for Golang
Summary: Review Request: golang-github-francoispqt-gojay - Fastest JSON encoder/decode...
Keywords:
Status: CLOSED ERRATA
Alias: golang-github-francoispqt-gojay
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Olivier Lemasle
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1802357 golang-github-viant-assertly
Blocks: 1803692
TreeView+ depends on / blocked
 
Reported: 2020-02-13 02:43 UTC by Robert-André Mauchin 🐧
Modified: 2020-07-15 01:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-06 22:01:52 UTC
Type: ---
o.lemasle: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2020-02-13 02:43:37 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-github-francoispqt-gojay.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-github-francoispqt-gojay-1.2.13-1.fc33.src.rpm

Description:
 GoJay is a performant JSON encoder/decoder for Golang (currently the most performant, see benchmarks).  It has a simple API and doesn't use reflection. It relies on small interfaces to decode/encode structures and slices.  Gojay also comes with powerful stream decoding features and an even faster Unsafe API.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 🐧 2020-04-12 17:49:30 UTC
Any update on this review Olivier?

Comment 2 Olivier Lemasle 2020-04-14 20:28:17 UTC
Sorry for the delay, I was waiting to golang-github-viant-toolbox to be "unbootstrapped", since golang-github-francoispqt-gojay depends on golang(github.com/viant/toolbox/url), which is not provided by golang-github-viant-toolbox's bootstrap build.

Finally, I built it myself locally (with its dependencies golang-github-viant-assertly and golang-github-viant-toolbox unbootstrapped).

Just one thing: is it normal to package the examples directory as %godoc even in the *binary* package?

golang-github-francoispqt-gojay-1.2.13-1.fc33.x86_64.rpm
/usr/bin/gojay
/usr/lib/.build-id
/usr/lib/.build-id/8b
/usr/lib/.build-id/8b/605f02b9d37b065476634aa3fa482a14edb804
/usr/share/doc/golang-github-francoispqt-gojay
/usr/share/doc/golang-github-francoispqt-gojay/README.md
/usr/share/doc/golang-github-francoispqt-gojay/examples
/usr/share/doc/golang-github-francoispqt-gojay/examples/encode-decode-map
/usr/share/doc/golang-github-francoispqt-gojay/examples/encode-decode-map/main.go
/usr/share/doc/golang-github-francoispqt-gojay/examples/fuzz
/usr/share/doc/golang-github-francoispqt-gojay/examples/fuzz/Makefile
/usr/share/doc/golang-github-francoispqt-gojay/examples/fuzz/main.go
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-benchmarks
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-benchmarks/Makefile
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-benchmarks/README.md
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-benchmarks/gojay
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-benchmarks/gojay/main.go
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-benchmarks/post.lua
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-benchmarks/standard
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-benchmarks/standard/main.go
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-json
/usr/share/doc/golang-github-francoispqt-gojay/examples/http-json/main.go
/usr/share/doc/golang-github-francoispqt-gojay/examples/websocket
/usr/share/doc/golang-github-francoispqt-gojay/examples/websocket/client
/usr/share/doc/golang-github-francoispqt-gojay/examples/websocket/client/client.go
/usr/share/doc/golang-github-francoispqt-gojay/examples/websocket/comm
/usr/share/doc/golang-github-francoispqt-gojay/examples/websocket/comm/comm.go
/usr/share/doc/golang-github-francoispqt-gojay/examples/websocket/main.go
/usr/share/doc/golang-github-francoispqt-gojay/examples/websocket/server
/usr/share/doc/golang-github-francoispqt-gojay/examples/websocket/server/server.go
/usr/share/licenses/golang-github-francoispqt-gojay
/usr/share/licenses/golang-github-francoispqt-gojay/LICENSE


Otherwise:

- MIT license ok
- Spec + changelog format ok
- Naming guidelines + packaging guidelines ok
- Builds in mock ok

Rpmlint
-------
golang-github-francoispqt-gojay.src: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
golang-github-francoispqt-gojay.x86_64: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
golang-github-francoispqt-gojay.x86_64: W: no-manual-page-for-binary gojay
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 3 Robert-André Mauchin 🐧 2020-07-01 15:48:55 UTC
(In reply to Olivier Lemasle from comment #2)
> Sorry for the delay, I was waiting to golang-github-viant-toolbox to be
> "unbootstrapped", since golang-github-francoispqt-gojay depends on
> golang(github.com/viant/toolbox/url), which is not provided by
> golang-github-viant-toolbox's bootstrap build.
> 
> Finally, I built it myself locally (with its dependencies
> golang-github-viant-assertly and golang-github-viant-toolbox unbootstrapped).
> 
> Just one thing: is it normal to package the examples directory as %godoc
> even in the *binary* package?
> 
This is not necessary no.

Comment 5 Robert-André Mauchin 🐧 2020-07-02 15:43:15 UTC
Please take a look at it again if you have the time.

Comment 6 Olivier Lemasle 2020-07-02 20:19:53 UTC
Hi, did you change anything? Spec file and srpm seems identical to the previous ones. In particular, the binary package contains the whole "examples" directory in documentation.

Comment 8 Robert-André Mauchin 🐧 2020-07-03 10:54:29 UTC
Sorry it's been a while I need to build golang-github-viant-assertly first then Unboostrap golang-github-viant-toolbox.

Comment 9 Robert-André Mauchin 🐧 2020-07-03 16:07:29 UTC
I've unboostrapped golang-github-viant-toolbox: https://koji.fedoraproject.org/koji/buildinfo?buildID=1536723

This should be good for review now.

Thanks again!

Comment 10 Olivier Lemasle 2020-07-04 13:07:09 UTC
Thanks, package approved.

- MIT license ok
- Spec + changelog format ok
- Naming guidelines + packaging guidelines ok
- Builds in mock ok
- Documentation ok

Rpmlint
-------
Checking: golang-github-francoispqt-gojay-1.2.13-1.fc33.x86_64.rpm
          golang-github-francoispqt-gojay-devel-1.2.13-1.fc33.noarch.rpm
          golang-github-francoispqt-gojay-debuginfo-1.2.13-1.fc33.x86_64.rpm
          golang-github-francoispqt-gojay-debugsource-1.2.13-1.fc33.x86_64.rpm
          golang-github-francoispqt-gojay-1.2.13-1.fc33.src.rpm
golang-github-francoispqt-gojay.x86_64: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
golang-github-francoispqt-gojay.x86_64: W: no-manual-page-for-binary gojay
golang-github-francoispqt-gojay-devel.noarch: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
golang-github-francoispqt-gojay-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/francoispqt/gojay/.goipath
golang-github-francoispqt-gojay.src: W: spelling-error %description -l en_US performant -> perform ant, perform-ant, performance
5 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 11 Gwyn Ciesla 2020-07-06 18:46:47 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-francoispqt-gojay

Comment 12 Fedora Update System 2020-07-06 21:47:54 UTC
FEDORA-2020-b1416f579d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1416f579d

Comment 13 Fedora Update System 2020-07-06 22:01:08 UTC
FEDORA-2020-37df752a17 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-37df752a17

Comment 14 Fedora Update System 2020-07-07 01:14:17 UTC
FEDORA-2020-b1416f579d has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-b1416f579d \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b1416f579d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-07-07 01:35:16 UTC
FEDORA-2020-37df752a17 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-37df752a17 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-37df752a17

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-07-15 01:11:06 UTC
FEDORA-2020-37df752a17 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-07-15 01:12:05 UTC
FEDORA-2020-b1416f579d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.